﻿namespace Ecng.Trading.Xaml
{
	using System.Collections.Generic;

	using Ecng.Trading.Algo;

	/// <summary>
	/// Окно для отображения логов.
	/// </summary>
	public partial class LogWindow
	{
		/// <summary>
		/// Создать окно.
		/// </summary>
		public LogWindow()
		{
			InitializeComponent();
		}

		/// <summary>
		/// Формат конвертирования времени в строку.
		/// </summary>
		public string TimeFormat
		{
			get { return _logControl.TimeFormat; }
			set { _logControl.TimeFormat = value; }
		}

		/// <summary>
		/// Коллекция лог-записей.
		/// </summary>
		public IList<LogEntry> Entries
		{
			get { return _logControl.Entries; }
		}
	}
}